using Google.Protobuf.Compiler;
using LinqToDB;
using LinqToDB.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MasaBlazorApp3.Pojo;

namespace MasaBlazorApp3.DataAccess
{
    public class AppDataConnection : DataConnection
    {
        public AppDataConnection(DataOptions<AppDataConnection> options)
       : base(options.Options)
        {
        }

        public ITable<User> User => this.GetTable<User>();
        public ITable<Role> Role => this.GetTable<Role>();
        public ITable<ChannelList> ChannelList => this.GetTable<ChannelList>();
        public ITable<ChannelStock> ChannelStock => this.GetTable<ChannelStock>();
        public ITable<DrugInfo> DrugInfo => this.GetTable<DrugInfo>();
        public ITable<DrugManuNo> DrugManuNo => this.GetTable<DrugManuNo>();
        public ITable<OrderInfo> OrderInfo => this.GetTable<OrderInfo>();
        public ITable<OrderDetail> OrderDetail => this.GetTable<OrderDetail>();
        public ITable<MachineRecord> MachineRecord => this.GetTable<MachineRecord>();
        public ITable<InOutInvoice> InOutInvoice => this.GetTable<InOutInvoice>();
        public ITable<AccountBook> AccountBook => this.GetTable<AccountBook>();
        public ITable<SettingManu> SettingManu => this.GetTable<SettingManu>();
        public ITable<Plan> Plan => this.GetTable<Plan>();
        public ITable<PlanDetails> PlanDetails => this.GetTable<PlanDetails>();
        public ITable<AccountBookG2> AccountBookG2 => this.GetTable<AccountBookG2>();
        public ITable<HkcChangeShifts> HkcChangeShifts => this.GetTable<HkcChangeShifts>();
        public ITable<HkcChangeShiftsDetail> HkcChangeShiftsDetail => this.GetTable<HkcChangeShiftsDetail>();

        

    }
}
